#29/08 8.70a Minimum pour installation version
ALTER TABLE EIFA1 ADD A1NUMSANTECOMPVALID VARCHAR(60) NULL;
ALTER TABLE EIFA1 ADD A1NUMSANTEVALID VARCHAR(1) NULL;
ALTER TABLE EIFAD ADD CENINF VARCHAR(10) NULL;
ALTER TABLE EIFAM ADD A6NINFNUMERIQUE VARCHAR(110) NULL;
ALTER TABLE EIFCE ADD CEVALIDE VARCHAR(50) NULL;
ALTER TABLE EIFCH ADD CENINF1 VARCHAR(10) NULL;
ALTER TABLE EIFCH ADD CENINF2 VARCHAR(10) NULL;
ALTER TABLE EIFCH ADD CENINF3 VARCHAR(10) NULL;
ALTER TABLE EIFCH ADD CHARGUMENTAIRE VARCHAR(512) NULL;
ALTER TABLE EIFCH ADD CHBLOCACQUISPROPOSITION VARCHAR(1) NULL;
ALTER TABLE EIFCH ADD CHDATEPROPOVALID DATE NULL;
ALTER TABLE EIFCH ADD CHDATEVALIDJURY1 DATE NULL;
ALTER TABLE EIFCH ADD CHDATEVALIDJURY2 DATE NULL;
ALTER TABLE EIFCH ADD CHDATEVALIDJURY3 DATE NULL;
ALTER TABLE EIFCH ADD CHVALIDATIONJURY1 VARCHAR(1) NULL;
ALTER TABLE EIFCH ADD CHVALIDATIONJURY2 VARCHAR(1) NULL;
ALTER TABLE EIFCH ADD CHVALIDATIONJURY3 VARCHAR(1) NULL;
ALTER TABLE EIFN1 ADD A6NINFNUMERIQUE VARCHAR(110) NULL;
CREATE INDEX WDIDX_EIFAD_ADCLE04 ON EIFAD (A1NINF,ADDATEJURY);
CREATE INDEX WDIDX_EIFAD_CENINF ON EIFAD (CENINF);
CREATE INDEX WDIDX_EIFCH_CENINF1 ON EIFCH (CENINF1);
CREATE INDEX WDIDX_EIFCH_CENINF2 ON EIFCH (CENINF2);
CREATE INDEX WDIDX_EIFCH_CENINF3 ON EIFCH (CENINF3);
CREATE INDEX WDIDX_EIFD6_D6CLE03 ON EIFD6 (XXNINF,D6TYPE);
CREATE INDEX WDIDX_EIFN4_D9NINF ON EIFN4 (D9NINF);
#18/09 8.70c
ALTER TABLE EIFC8 ADD A2NINFDESTINATION VARCHAR(10) NULL;
#02/10 8.70c
ALTER TABLE EIFA1 ADD A1NINF3 VARCHAR(10) NULL;
CREATE INDEX WDIDX_EIFA1_A1NINF3 ON EIFA1 (A1NINF3);
#11/10 8.70d
#ALTER TABLE EIFPT DROP PRIMARY KEY;
#12/10 8.70d
ALTER TABLE EIFKP CHANGE KPMATR KPMATR varchar(40);
#09/11 8.71b
ALTER TABLE EIFA1 ADD A1NOINDEMSTAGE VARCHAR(1) NULL;
CREATE INDEX WDIDX_EIFKP_KANINFK0NINFKPNUMLOT ON EIFKP (KANINF,K0NINF,KPNUMLOT);
#21/11 8.71c
CREATE TABLE EIFSV (SVNINF VARCHAR(10) UNIQUE ,SVCLEAPI VARCHAR(2500) ,SVLOGIN VARCHAR(50) ,SVMDP VARCHAR(2500) ,SVURL VARCHAR(500) ,SVAPPLI VARCHAR(10) );
CREATE INDEX WDIDX_EIFSV_SVAPPLI ON EIFSV (SVAPPLI);
CREATE TABLE EIFSW (SWNINF VARCHAR(10) UNIQUE ,SWDATE DATE,A2NINF VARCHAR(10),SWHEURE TIME,SWU1CUTI VARCHAR(50),SWOBJET VARCHAR(100),SWCOMMAND VARCHAR(1000),SWREPOK VARCHAR(1),SWREPONSE LONGTEXT,SWMESSERREUR VARCHAR(2000),SWNBESSAI SMALLINT,SWAPPLI VARCHAR(15));
CREATE INDEX WDIDX_EIFSW_SWREPOK ON EIFSW (SWREPOK);
CREATE INDEX WDIDX_EIFSW_SWCLE01 ON EIFSW (A2NINF,SWDATE,SWHEURE,SWREPOK);
CREATE INDEX WDIDX_EIFSW_SWAPPLI ON EIFSW (SWAPPLI);
CREATE INDEX WDIDX_EIFSW_A2NINF ON EIFSW (A2NINF);
#23/11 8.72a
CREATE INDEX WDIDX_EIFKP_KPCLE04 ON EIFKP (K0NINF,KPNUMLOT);
CREATE INDEX WDIDX_EIFSW_SWCOMMAND ON EIFSW (SWCOMMAND);
ALTER TABLE EIFCH ADD CHCOMMENTJURY1 VARCHAR(500) NULL;
ALTER TABLE EIFCH ADD CHCOMMENTJURY2 VARCHAR(500) NULL;
ALTER TABLE EIFCH ADD CHCOMMENTJURY3 VARCHAR(500) NULL;
ALTER TABLE EIFCH ADD CHMETHODEJURY1 VARCHAR(1) NULL;
ALTER TABLE EIFCH ADD CHMETHODEJURY2 VARCHAR(1) NULL;
ALTER TABLE EIFCH ADD CHMETHODEJURY3 VARCHAR(1) NULL;
ALTER TABLE EIFPT CHANGE PTAPPLI PTAPPLI VARCHAR(50) NULL;
#08/12 8.73a
ALTER TABLE EIFTD ADD TDLOGIN_MSCES VARCHAR(100) NULL;
ALTER TABLE EIFTD ADD TDMDP_MSCES VARCHAR(512) NULL;
ALTER TABLE EIFTD ADD TDURL_MSCES VARCHAR(512) NULL;
#12/12 8.73a
#ALTER TABLE EIFT0 ADD T0MYSCESNINF VARCHAR(10) NULL; FLH PB 
ALTER TABLE EIFT1 ADD T1MYSCESNINF VARCHAR(10) NULL;
#ALTER TABLE EIFB0 ADD B0MYSCESNINF VARCHAR(10) NULL;
#ALTER TABLE EIFB6 ADD B6MYSCESNINF VARCHAR(10) NULL;
#CREATE INDEX WDIDX_EIFB0_B0MYSCESNINF ON EIFB0 (B0MYSCESNINF);
#CREATE INDEX WDIDX_EIFB6_B6MYSCESNINF ON EIFB6 (B6MYSCESNINF);
#CREATE INDEX WDIDX_EIFT0_T0MYSCESNINF ON EIFT0 (T0MYSCESNINF); FLH PB 
CREATE INDEX WDIDX_EIFT1_T1MYSCESNINF ON EIFT1 (T1MYSCESNINF);
#14/12 8.73a
ALTER TABLE EIFT1 ADD T1TDCODE_MYS_CES VARCHAR(3) NULL;
ALTER TABLE EIFA1 ADD A1NBHSTAGEAFAIRE INT NULL;
ALTER TABLE EIFA1 ADD A1NBHAPISUPP INT NULL;
#18-19/12 8.73a
ALTER TABLE EIFN8 ADD G5NINF VARCHAR(10) NULL;
ALTER TABLE EIFN8 ADD N8ABSTRAITEE VARCHAR(1) NULL;
ALTER TABLE EIFN8 ADD N8COLLECTMODE VARCHAR(25) NULL;
ALTER TABLE EIFN8 ADD N8COMMENTEDBY VARCHAR(50) NULL;
ALTER TABLE EIFN8 ADD N8COMMENTEDCOMMENT VARCHAR(500) NULL;
ALTER TABLE EIFN8 ADD N8COMMENTEDDEDUCTDELAY REAL NULL;
ALTER TABLE EIFN8 ADD N8COMMENTEDLATENESS REAL NULL;
ALTER TABLE EIFN8 ADD N8COMMENTEDON VARCHAR(50) NULL;
ALTER TABLE EIFN8 ADD N8COMMENTEDROLE VARCHAR(50) NULL;
ALTER TABLE EIFN8 ADD N8COMMNTEDEARLYDEPARTURE REAL NULL;
ALTER TABLE EIFN8 ADD N8CONTEXT VARCHAR(25) NULL;
ALTER TABLE EIFN8 ADD N8DATESIGNATURE DATE NULL;
ALTER TABLE EIFN8 ADD N8HEURESIGNATURE TIME NULL;
ALTER TABLE EIFN8 ADD N8MODALITY VARCHAR(50) NULL;
ALTER TABLE EIFN8 ADD N8REASON VARCHAR(500) NULL;
ALTER TABLE EIFN8 ADD N8REQUIREDSIGNATURE VARCHAR(1) NULL;
ALTER TABLE EIFN8 ADD N8STATUS VARCHAR(25) NULL;
ALTER TABLE EIFN8 ADD N8TOKENBY VARCHAR(50) NULL;
ALTER TABLE EIFN8 ADD N8TOKENON VARCHAR(25) NULL;
ALTER TABLE EIFN8 ADD N8TOKENROLE VARCHAR(50) NULL;
ALTER TABLE EIFN8 ADD N8URLSIGNATURE VARCHAR(500) NULL;
CREATE INDEX WDIDX_EIFN8_N8ABSTRAITEE ON EIFN8 (N8ABSTRAITEE);
CREATE INDEX WDIDX_EIFN8_G5NINF ON EIFN8 (G5NINF);
CREATE INDEX WDIDX_EIFN8_N8CLE05 ON EIFN8 (N0NINF,B2NINF);
CREATE INDEX WDIDX_EIFN8_N8CLE06 ON EIFN8 (N0NINF,B1NINF);
CREATE INDEX WDIDX_EIFN8_N8CLE07 ON EIFN8 (A1NINF,N8ABSTRAITEE);
#21/12 8.73a
ALTER TABLE EIFSW ADD SWACTION VARCHAR(30) NULL;
ALTER TABLE EIFSW ADD SWDATEEXECUTION DATE NULL;
ALTER TABLE EIFSW ADD SWDELAIEXECUTION VARCHAR(1) NULL;
ALTER TABLE EIFSW ADD SWHEUREEXECUTION TIME NULL;
CREATE INDEX WDIDX_EIFSW_SWACTION ON EIFSW (SWACTION);
CREATE INDEX WDIDX_EIFSW_SWCLE02 ON EIFSW (SWAPPLI,SWACTION,SWREPOK,SWDELAIEXECUTION);
#26/12 8.73a
ALTER TABLE EIFSW ADD SWAPI VARCHAR(15) NULL;
#02/01/2024 8.73a
ALTER TABLE EIFT0 ADD T0RECTRAVHAND VARCHAR(1) NULL;
#18/01 8.73a
ALTER TABLE EIFN4 CHANGE N4TITRE N4TITRE VARCHAR(150) NULL;
#19/01 8.73a
ALTER TABLE EIFK1 CHANGE K1ADR1 K1ADR1 VARCHAR(80) NULL;
ALTER TABLE EIFK1 CHANGE K1ADR2 K1ADR2 VARCHAR(80) NULL;
ALTER TABLE EIFK1 CHANGE K1ADR3 K1ADR3 VARCHAR(80) NULL;
ALTER TABLE EIFK2 CHANGE K2ADR1 K2ADR1 VARCHAR(80) NULL;
ALTER TABLE EIFK2 CHANGE K2ADR2 K2ADR2 VARCHAR(80) NULL;
ALTER TABLE EIFK7 CHANGE K7ADR1 K7ADR1 VARCHAR(80) NULL;
ALTER TABLE EIFK7 CHANGE K7ADR2 K7ADR2 VARCHAR(80) NULL;
#22/01 8.73a
CREATE INDEX WDIDX_EIFT1_T1CLE02 ON EIFT1 (T1MYSCESNINF,T1TDCODE_MYS_CES);
#31/01 8.73b
ALTER TABLE EIFN4 ADD N4MYSCESNINF VARCHAR(10) NULL;
CREATE INDEX WDIDX_EIFN4_N4MYSCESNINF ON EIFN4 (N4MYSCESNINF);
#05/02 8.73bb
ALTER TABLE EIFB1 CHANGE B1ADR1 B1ADR1 VARCHAR(80) NULL;
ALTER TABLE EIFB1 CHANGE B1ADR1B B1ADR1B VARCHAR(80) NULL;
ALTER TABLE EIFB1 CHANGE B1ADR2 B1ADR2 VARCHAR(80) NULL;
ALTER TABLE EIFB1 CHANGE B1ADR2B B1ADR2B VARCHAR(80) NULL;
ALTER TABLE EIFB1 CHANGE B1ADR3 B1ADR3 VARCHAR(80) NULL;
ALTER TABLE EIFB1 CHANGE B1ADR3B B1ADR3B VARCHAR(80) NULL;
ALTER TABLE EIFB1 CHANGE B1RESPADR1 B1RESPADR1 VARCHAR(80) NULL;
ALTER TABLE EIFB1 CHANGE B1RESPADR2 B1RESPADR2 VARCHAR(80) NULL;
ALTER TABLE EIFB1 CHANGE B1RESPADR3 B1RESPADR3 VARCHAR(80) NULL;
ALTER TABLE EIFB1 CHANGE B1RESPVILL B1RESPVILL VARCHAR(40) NULL;
ALTER TABLE EIFB1 CHANGE B1VILL B1VILL VARCHAR(40) NULL;
ALTER TABLE EIFB1 CHANGE B1VILLB B1VILLB VARCHAR(40) NULL;
ALTER TABLE EIFB2 CHANGE B2ADR1 B2ADR1 VARCHAR(80) NULL;
ALTER TABLE EIFB2 CHANGE B2ADR2 B2ADR2 VARCHAR(80) NULL;
ALTER TABLE EIFB2 CHANGE B2VILL B2VILL VARCHAR(40) NULL;
ALTER TABLE EIFT9 CHANGE T9ADR1 T9ADR1 VARCHAR(80) NULL;
ALTER TABLE EIFT9 CHANGE T9ADR2 T9ADR2 VARCHAR(80) NULL;
ALTER TABLE EIFT9 CHANGE T9ADR3 T9ADR3 VARCHAR(80) NULL;
ALTER TABLE EIFT9 CHANGE T9VILL T9VILL VARCHAR(40) NULL;
ALTER TABLE EIFS1 CHANGE S1ADR1 S1ADR1 VARCHAR(80) NULL;
ALTER TABLE EIFS1 CHANGE S1ADR2 S1ADR2 VARCHAR(80) NULL;
ALTER TABLE EIFS1 CHANGE S1ADR3 S1ADR3 VARCHAR(80) NULL;
ALTER TABLE EIFS1 CHANGE S1VILL S1VILL VARCHAR(40) NULL;
#20/02 8.73d
#DROP INDEX WDIDX_EIFCJ_CJCLE01 ON EIFCJ;
#DROP INDEX WDIDX_EIFCJ_CJCLE02 ON EIFCJ;
#DROP INDEX WDIDX_EIFCJ_CJCLE03 ON EIFCJ;
CREATE INDEX WDIDX_EIFCJ_CJCLE04 ON EIFCJ (A1NINF,CJSEM,DCNUME,CENINF);
CREATE INDEX WDIDX_EIFCJ_CJCLE05 ON EIFCJ (A1NINF,DCNUME,CJSEM,CENINF);
CREATE INDEX WDIDX_EIFCJ_CJCLE06 ON EIFCJ (A1NINF,CJSEM,DCNINF,CENINF);
#29/02 8.73e
ALTER TABLE EIFA1 ADD A1ADR3 VARCHAR(50) NULL;
ALTER TABLE EIFA1 ADD A1ADR3B VARCHAR(50) NULL;
ALTER TABLE EIFA1 ADD A1ADREF3 VARCHAR(50) NULL;
ALTER TABLE EIFT0 ADD T0ADR3 VARCHAR(50) NULL;
ALTER TABLE EIFT0 ADD T0ADR3B VARCHAR(50) NULL;
#04/03 8.73e
ALTER TABLE EIFN9 ADD N9COMMPRES VARCHAR(512) NULL;
#22/03 8.73g
ALTER TABLE EIFCA ADD CEDATE DATE NULL;
ALTER TABLE EIFCA ADD CENINF VARCHAR(10) NULL;
CREATE INDEX WDIDX_EIFCA_CENINF ON EIFCA (CENINF);
CREATE INDEX WDIDX_EIFCA_CEDATE ON EIFCA (CEDATE);
CREATE INDEX WDIDX_EIFCA_CACLE02 ON EIFCA (A1NINF,CENINF);
CREATE INDEX WDIDX_EIFCA_CACLE03 ON EIFCA (A1NINF,CEDATE);
#15/04 8.74a
ALTER TABLE EIFA1 ADD A1DROITINDEMTRANS VARCHAR(1) NULL;
ALTER TABLE EIFB1 ADD B1IMMA VARCHAR(10) NULL;
ALTER TABLE EIFB2 ADD B2IMMA VARCHAR(10) NULL;
ALTER TABLE EIFH0 ADD H0TYPVALID VARCHAR(1) NULL;
ALTER TABLE EIFN9 CHANGE N9COMM N9COMM VARCHAR(100) NULL;
ALTER TABLE EIFP2 ADD P2CODE_ISO VARCHAR(3) NULL;
ALTER TABLE EIFP2 ADD P2CODE_ISONUM VARCHAR(3) NULL;
ALTER TABLE EIFP2 CHANGE P2NATIO P2NATIO VARCHAR(60) NULL;
ALTER TABLE EIFP2 CHANGE P2PAYS P2PAYS VARCHAR(60) NULL;
CREATE INDEX WDIDX_EIFP2_P2CODE_ISO ON EIFP2 (P2CODE_ISO);
CREATE INDEX WDIDX_EIFP2_P2CODE_ISONum ON EIFP2 (P2CODE_ISONum);
#07/05 8.74b
ALTER TABLE EIFT1 ADD T1IDNOTGMYS VARCHAR(10) NULL;
ALTER TABLE EIFT1 ADD T1IDNOT1MYS VARCHAR(10) NULL;
ALTER TABLE EIFT1 ADD T1IDNOT2MYS VARCHAR(10) NULL;
ALTER TABLE EIFT1 ADD T1IDNOT3MYS VARCHAR(10) NULL;
ALTER TABLE EIFT1 ADD T1IDNOT4MYS VARCHAR(10) NULL;
ALTER TABLE EIFT1 ADD T1IDNOTGMYS VARCHAR(10) NULL ;
ALTER TABLE EIFT0 ADD T0IDCDTUREMYS VARCHAR(10) NULL ;
CREATE INDEX WDIDX_EIFT0_T0IDCDTUREMYS ON EIFT0 (T0IDCDTUREMYS);
ALTER TABLE EIFT0 CHANGE T0MYSCESNINF T0IDCDTMYS VARCHAR(10) NULL ;
CREATE INDEX WDIDX_EIFT0_T0IDCDTMYS ON EIFT0 (T0IDCDTMYS);
#PB analyse 
#ALTER TABLE EIFT0 DROP T0MYSCESNINF;
#8.75 18/04/2024
CREATE TABLE EIFAZ (AZNINF VARCHAR(10)  UNIQUE  DEFAULT '0',AZACADEMIE VARCHAR(30));
CREATE INDEX WDIDX_EIFAZ_AZACADEMIE ON EIFAZ (AZACADEMIE);
ALTER TABLE EIFT0 CHANGE T0ACADEMIE T0ACADEMIE VARCHAR(30) NULL;
ALTER TABLE EIFTG CHANGE TGACADEMIE TGACADEMIE VARCHAR(30) NULL;
#8.75 19/04/2024
ALTER TABLE EIFSV ADD P3NINF VARCHAR(10) NULL;
CREATE INDEX `WDIDX_EIFSV_P3NINF` ON `EIFSV` (`P3NINF`);
CREATE INDEX `WDIDX_EIFSV_SVCLE01` ON `EIFSV` (`SVAPPLI`,`P3NINF`);
CREATE INDEX `WDIDX_EIFSV_SVCLE02` ON `EIFSV` (`P3NINF`,`SVAPPLI`);
#8.75 27/05/2024
ALTER TABLE EIFN8 ADD AFNINF VARCHAR(10) NULL;
#8.75 31/07/2024
ALTER TABLE EIFK0 ADD K0LIENTUTEUR VARCHAR(500) NULL;
#8.75 xx/xx/2024
ALTER TABLE EIFKL ADD KLINDIC LONGTEXT;
ALTER TABLE EIFKL ADD KLNUMDOMAINE_BLOC VARCHAR(2) NULL;
CREATE INDEX `WDIDX_EIFKL_KLCLE02` ON `EIFKL` (`A5NINF`,`KLVERSION`,`KLTYPE`,`KLNUMDOMAINE_BLOC`);
CREATE INDEX `WDIDX_EIFKR_KRCLE03` ON `EIFKR` (`K0NINF`,`KRTYPE`,`KRCODC`);
CREATE INDEX `WDIDX_EIFKR_KRCLE04` ON `EIFKR` (`A1NINF`,`KRPERI`,`KRTYPE`,`KRCODC`);
ALTER TABLE EIFT1 ADD T1PLACE1 INT NULL;
ALTER TABLE EIFT1 ADD T1PLACE2 INT NULL;
ALTER TABLE EIFT1 ADD T1PLACE3 INT NULL;
#8.75 12/08/2024
ALTER TABLE EIFE0 ADD E0NOINDSTG VARCHAR(1) NULL;
#8.75 13/08/2024
ALTER TABLE EIFA1 ADD A1IDEXT VARCHAR(20) NULL;
ALTER TABLE EIFA2 ADD A2IDEXT VARCHAR(20) NULL;
CREATE INDEX WDIDX_EIFA1_A1IDEXT ON EIFA1 (A1IDEXT);
CREATE INDEX WDIDX_EIFA2_A2IDEXT ON EIFA2 (A2IDEXT);
#8.75 xx/xx/2024
ALTER TABLE EIFKG ADD KGCAPACITEREALTIONNELLE LONGTEXT;
ALTER TABLE EIFKG ADD KGFONCTIONTUTEUR VARCHAR(50) NULL;
ALTER TABLE EIFKG ADD KGSITUATION1 LONGTEXT;
ALTER TABLE EIFKG ADD KGSITUATION2 LONGTEXT;
#8.75 16/08/2024
ALTER TABLE EIFA5 ADD A5IDEXT VARCHAR(20) NULL;
ALTER TABLE EIFP3 ADD P3IDEXT VARCHAR(20) NULL;
CREATE INDEX WDIDX_EIFP3_P3IDEXT ON EIFP3 (P3IDEXT);
CREATE INDEX WDIDX_EIFA5_A5IDEXT ON EIFA5 (A5IDEXT);
#8.75 07/11/2024
ALTER TABLE EIFKA CHANGE KALIBE KALIBE VARCHAR(100) NULL;
#8.76 30/09/2024
ALTER TABLE EIFA2 ADD A2COUT6 REAL NULL;
ALTER TABLE EIFA2 ADD A2DEBS11 DATE NULL;
ALTER TABLE EIFA2 ADD A2DEBS12 DATE NULL;
ALTER TABLE EIFA2 ADD A2DEP6 DATE NULL;
ALTER TABLE EIFA2 ADD INDEM6 REAL NULL;
ALTER TABLE EIFA6 ADD A6NBH6 INT NULL;
ALTER TABLE EIFAX ADD A6NBH6  INT NULL;
ALTER TABLE EIFDA ADD DASEUILADM6 INT NULL;
ALTER TABLE EIFDA ADD DASEUILRED6 INT NULL;
ALTER TABLE EIFDC ADD DCONDITIONSB VARCHAR(1) NULL;
ALTER TABLE EIFDC ADD DCONDITIONSC VARCHAR(1) NULL;
ALTER TABLE EIFDC ADD DCPLANCHESB REAL NULL;
ALTER TABLE EIFDC ADD DCPLANCHESC REAL NULL;
ALTER TABLE EIFDC ADD DCSEUILCONDISB VARCHAR(1) NULL;
ALTER TABLE EIFDC ADD DCSEUILCONDISC VARCHAR(1) NULL;
ALTER TABLE EIFDC ADD DCSEUILSB REAL NULL;
ALTER TABLE EIFDC ADD DCSEUILSC REAL NULL;
ALTER TABLE EIFDC ADD DCTYPESEUILSB VARCHAR(1) NULL;
ALTER TABLE EIFDC ADD DCTYPESEUILSC VARCHAR(1) NULL;
ALTER TABLE EIFE9 ADD E9DATEMYK6 DATE NULL;
ALTER TABLE EIFE9 ADD E9MONT6 REAL NULL;
ALTER TABLE EIFKX ADD KXQUOTA6 SMALLINT NULL;
#8.76 07/10/2024
ALTER TABLE EIFN8 CHANGE N8LIBELLECAS N8LIBELLECAS VARCHAR(150) NULL;
ALTER TABLE EIFN8 CHANGE N8STATUS N8STATUS VARCHAR(150) NULL;
#8.76 09/10/2024
ALTER TABLE EIFC8 CHANGE C8APPRECIATIONS C8APPRECIATIONS VARCHAR(2500) NULL;
ALTER TABLE EIFAD CHANGE ADAPPR ADAPPR VARCHAR(2500) NULL;
#8.76 07/11/2024
ALTER TABLE EIFKA CHANGE KALIBE KALIBE VARCHAR(100) NULL;
#8.76 08/11/2024
ALTER TABLE EIFN0 ADD N0NOSWS_EDS varchar(1) NULL;
ALTER TABLE EIFN0 ADD N0PARAM varchar(50) NULL;
#8.76 12/11/2024
ALTER TABLE EIFG5 ADD G5ID_EXTERN varchar(50) NULL;
CREATE INDEX WDIDX_EIFG5_G5ID_EXTERN ON EIFG5 (G5ID_EXTERN);
ALTER TABLE EIFG5 ADD G5ID_EXT_MOTIF varchar(50) NULL;
#8.76 13/11/2024
ALTER TABLE EIFG5 ADD G5ORIGINE varchar(30) NULL;
#8.76 14/11/2024
ALTER TABLE EIFAF ADD AFORIGINE varchar(30) NULL;
#8.76 21/11/2024
ALTER TABLE EIFN8 ADD N8ID_EDS varchar(50) NULL;
ALTER TABLE EIFN8 ADD N8DATED date NULL;
ALTER TABLE EIFN8 ADD N8HDEB time NULL;
ALTER TABLE EIFN8 ADD N8DATEF date NULL;
ALTER TABLE EIFN8 ADD N8HFIN time NULL;
ALTER TABLE EIFN8 ADD INDEX N8ID_EDS (N8ID_EDS);
#8.76 03/12/2024
CREATE TABLE EIFSY (SYNINF VARCHAR(10)  UNIQUE,SYDATE DATE ,SYHEURE TIME ,SYAPPLI VARCHAR(50) ,SYWEBHOOKS VARCHAR(50) ,SYMESSAGE VARCHAR(200) ,SYTRAITE VARCHAR(1) ,SYERREUR VARCHAR(50) ,SYDATET DATE ,SYHEURET TIME);
CREATE INDEX WDIDX_EIFSY_SYAPPLI ON EIFSY (SYAPPLI);
CREATE INDEX WDIDX_EIFSY_SYCLE01 ON EIFSY (SYTRAITE,SYAPPLI,SYDATE,SYHEURE);
ALTER TABLE EIFK1 ADD K1IDEXT VARCHAR(20) NULL;
ALTER TABLE EIFK2 ADD K2IDEXT VARCHAR(20) NULL;
ALTER TABLE EIFK3 ADD K3OLD VARCHAR(1) NULL;
ALTER TABLE EIFK7 ADD K7IDEXT VARCHAR(20) NULL;
CREATE INDEX WDIDX_EIFK1_K1IDEXT ON EIFK1 (K1IDEXT);
CREATE INDEX WDIDX_EIFK2_K2IDEXT ON EIFK2 (K2IDEXT);
CREATE INDEX WDIDX_EIFK3_K3OLD ON EIFK3 (K3OLD);
CREATE INDEX WDIDX_EIFK7_K7IDEXT ON EIFK7 (K7IDEXT);
#8.76 05/12/2024
ALTER TABLE EIFKU ADD KUIDEXT VARCHAR(20) NULL;
CREATE INDEX WDIDX_EIFKU_KUIDEXT ON EIFKU (KUIDEXT);
#8.76 06/12/2024
ALTER TABLE EIFAM ADD AMLISTEB1NINF VARCHAR(220) NULL;
ALTER TABLE EIFAM ADD AMLISTEB2NINF VARCHAR(220) NULL;
#8.76 09/12/2024
ALTER TABLE EIFN2 CHANGE N2C1NUME N2C1NUME VARCHAR(20) NULL;
#8.76 17/12/2024
ALTER TABLE EIFT1 ADD T1IDNOT5MYS VARCHAR(10) NULL;
#8.76 02/01/2025 - anciennement 07/10/2022
ALTER TABLE EIFT0 CHANGE T0DEASCATE T0DEASCATE VARCHAR(50) NULL;
#8.76 07/01/2025
ALTER TABLE EIFTM ADD TMCODE VARCHAR(10) NULL;
CREATE INDEX WDIDX_EIFTM_TMCODE ON EIFTM (TMCODE);
#8.77 18/02/2025
ALTER TABLE EIFA1 ADD A1MUTE VARCHAR(1) NULL;
#8.77d 24/06/2025
ALTER TABLE EIFK0 CHANGE K0APRE K0APRE VARCHAR(2000) NULL;
#8.78a 16/07/2025
ALTER TABLE EIFP4 ADD P4OCTAUPUS VARCHAR(1) NULL;
CREATE TABLE EIFKS (KSNINF VARCHAR(10) UNIQUE,A1NINF VARCHAR(10),KSDATE DATE,K2NINF VARCHAR(10),K1NINF VARCHAR(10),KSA1NINF VARCHAR(10),KSP3LIBE VARCHAR(150),P3NINF VARCHAR(10),KSA1MATR VARCHAR(40),KSA1NOMS VARCHAR(50),KSA1NOMF VARCHAR(50),KSA1PREN VARCHAR(50),KSA2ENCOURS TINYINT DEFAULT 0,KSK1CLAS VARCHAR(6),KSK2CODE VARCHAR(10),KSA5CODE VARCHAR(10),KSK2MAIL VARCHAR(260),KSK0DATD DATE,KSK0DATF DATE,K0NINF VARCHAR(10),KSVALID VARCHAR(1),KSANO VARCHAR(300),KSFICHIER VARCHAR(300),KSHEURE TIME);
CREATE INDEX WDIDX_EIFKS_A1NINF ON EIFKS (A1NINF);
CREATE INDEX WDIDX_EIFKS_KSDATE ON EIFKS (KSDATE);
CREATE INDEX WDIDX_EIFKS_K2NINF ON EIFKS (K2NINF);
CREATE INDEX WDIDX_EIFKS_K1NINF ON EIFKS (K1NINF);
CREATE INDEX WDIDX_EIFKS_P3NINF ON EIFKS (P3NINF);
CREATE INDEX WDIDX_EIFKS_K0NINF ON EIFKS (K0NINF);
CREATE INDEX WDIDX_EIFKS_KSHEURE ON EIFKS (KSHEURE);
ALTER TABLE EIFA6 MODIFY COLUMN A6NBHT FLOAT;
ALTER TABLE EIFA6 MODIFY COLUMN A6NBH1 FLOAT;
ALTER TABLE EIFA6 MODIFY COLUMN A6NBH2 FLOAT;
ALTER TABLE EIFA6 MODIFY COLUMN A6NBH3 FLOAT;
ALTER TABLE EIFA6 MODIFY COLUMN A6NBH4 FLOAT;
ALTER TABLE EIFA6 MODIFY COLUMN A6NBH5 FLOAT;
ALTER TABLE EIFA6 MODIFY COLUMN A6NBH6 FLOAT;
ALTER TABLE EIFA6 MODIFY COLUMN A6CM FLOAT;
ALTER TABLE EIFA6 MODIFY COLUMN A6TD FLOAT;
ALTER TABLE EIFA6 MODIFY COLUMN A6TPG FLOAT;
ALTER TABLE EIFA6 MODIFY COLUMN A6TP FLOAT;
ALTER TABLE EIFAX MODIFY COLUMN A6NBHT FLOAT;
ALTER TABLE EIFAX MODIFY COLUMN A6NBH1 FLOAT;
ALTER TABLE EIFAX MODIFY COLUMN A6NBH2 FLOAT;
ALTER TABLE EIFAX MODIFY COLUMN A6NBH3 FLOAT;
ALTER TABLE EIFAX MODIFY COLUMN A6NBH4 FLOAT;
ALTER TABLE EIFAX MODIFY COLUMN A6NBH5 FLOAT;
ALTER TABLE EIFAX MODIFY COLUMN A6NBH6 FLOAT;
ALTER TABLE EIFAX MODIFY COLUMN A6CM FLOAT;
ALTER TABLE EIFAX MODIFY COLUMN A6TD FLOAT;
ALTER TABLE EIFAX MODIFY COLUMN A6TPG FLOAT;
ALTER TABLE EIFAX MODIFY COLUMN A6TP FLOAT;
#8.78a 01/09/2025
ALTER TABLE EIFN8 ADD N8APPLI VARCHAR(50) NULL;
CREATE INDEX WDIDX_EIFN8_N8APPLI ON EIFN8 (N8APPLI);
#8.78a 06/09/2025
ALTER TABLE EIFN8 ADD N8JUSTIF64 LONGTEXT;
ALTER TABLE EIFN8 ADD N8SIGNATURE64 LONGTEXT;
#8.78b 26/08/2025
ALTER TABLE EIFA1 ADD A1CVEC6 VARCHAR(14) NULL;
ALTER TABLE EIFA1 CHANGE A1COTISVIEET A1COTISVIEET varchar(6);
#8.78b 17/09/2025
ALTER TABLE EIFK0 ADD K0VERROUMYK VARCHAR(1) NULL;
#8.78c 18/09/2025
ALTER TABLE EIFN1 CHANGE A6NINFNUMERIQUE A6NINFNUMERIQUE VARCHAR(500) NULL;
ALTER TABLE EIFAM CHANGE A6NINFNUMERIQUE A6NINFNUMERIQUE VARCHAR(500) NULL;
#8.78c 07/10/2025
ALTER TABLE EIFK2 ADD K2CINQUIEME VARCHAR(1) NULL;
#8.78c 15/10/2025
ALTER TABLE EIFT0 ADD T0ALERT VARCHAR(150) NULL;
ALTER TABLE EIFT0 ADD T0ALERT2 VARCHAR(150) NULL;
ALTER TABLE EIFT0 ADD T0TELA VARCHAR(14) NULL;
ALTER TABLE EIFT0 ADD T0TELA2 VARCHAR(14) NULL;
#8.78e 18/11/2025
ALTER TABLE EIFKS ADD KSA1MAIL VARCHAR(260) NULL;
#8.78j 07/01/2026
CREATE TABLE EIFKV (KVNINF VARCHAR(10)  UNIQUE ,K1NINF VARCHAR(10),K2NINF VARCHAR(10),KVETABCODGUST VARCHAR(20),KVETABLIBGUST VARCHAR(100),KVSERVCODGUST VARCHAR(20),KVSERVLIBGUST VARCHAR(100),KVAFFECTE VARCHAR(1),KVETABIDEXT VARCHAR(10),KVSERVIDEXT VARCHAR(10));
CREATE INDEX WDIDX_EIFKV_K1NINF ON EIFKV (K1NINF);
CREATE INDEX WDIDX_EIFKV_K2NINF ON EIFKV (K2NINF);
CREATE INDEX WDIDX_EIFKV_KVETABIDEXT ON EIFKV (KVETABIDEXT);
CREATE INDEX WDIDX_EIFKV_KVSERVIDEXT ON EIFKV (KVSERVIDEXT);
ALTER TABLE EIFA1 ADD A1DISPAPI VARCHAR(1) NULL;
ALTER TABLE EIFA1 ADD A1DISPTPG VARCHAR(1) NULL;
ALTER TABLE EIFCJ ADD CJANNEE VARCHAR(1) NULL;
CREATE INDEX WDIDX_EIFCJ_A1NINF ON EIFCJ (A1NINF);
CREATE INDEX WDIDX_EIFCJ_CJSEM ON EIFCJ (CJSEM);
CREATE INDEX WDIDX_EIFCJ_CJANNEE ON EIFCJ (CJANNEE);
#8.78j 12/01/2026
ALTER TABLE EIFAF ADD AFINACTIF VARCHAR(1) NULL;
#8.79a 16/01/2026
ALTER TABLE EIFN0 CHANGE N0LIENLMS N0LIENLMS VARCHAR(1000) NULL;
ALTER TABLE EIFN0 CHANGE N0LIENVISIO N0LIENVISIO VARCHAR(1000) NULL;
ALTER TABLE EIFAM CHANGE AMLIENLMS AMLIENLMS VARCHAR(1000) NULL;
ALTER TABLE EIFAM CHANGE AMLIENVISIO AMLIENVISIO VARCHAR(1000) NULL;
ALTER TABLE EIFN1 CHANGE N1LIENLMS N1LIENLMS VARCHAR(1000) NULL;
ALTER TABLE EIFN1 CHANGE N1LIENVISIO N1LIENVISIO VARCHAR(1000) NULL;
#8.79a 21/01/2026
ALTER TABLE EIFA7 ADD A7NINFM VARCHAR(10) NULL;
CREATE INDEX WDIDX_EIFA7_A7NINFM ON EIFA7 (A7NINFM);
#8.79a 22/01/2026
ALTER TABLE EIFG5 ADD JOCUTIC VARCHAR(20) NULL;
ALTER TABLE EIFG5 ADD JOCUTIM VARCHAR(20) NULL;
ALTER TABLE EIFG5 ADD JODATC DATE NULL;
ALTER TABLE EIFG5 ADD JODATM DATE NULL;
#8.79a 30/01/2026
ALTER TABLE EIFPT CHANGE PTACTI PTACTI VARCHAR(300) NULL;
ALTER TABLE EIFPT CHANGE PTCOMM PTCOMM VARCHAR(2000) NULL;
ALTER TABLE EIFPT CHANGE PTLIBE PTLIBE VARCHAR(300) NULL;
#8.79a 02/02/2026
ALTER TABLE EIFE1 CHANGE E1MONT E1MONT double NULL;
ALTER TABLE EIFE1 CHANGE E1SOLDE E1SOLDE double NULL;
ALTER TABLE EIFE1 CHANGE E1REGLE E1REGLE double NULL;
ALTER TABLE EIFE2 CHANGE E2MONT E2MONT double NULL;
ALTER TABLE EIFE3 CHANGE E3MONT E3MONT double NULL;